Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1513723 - upgrade to satellite 6.3 beta wont work if ssl.conf is missing
Summary: upgrade to satellite 6.3 beta wont work if ssl.conf is missing
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Upgrades
Version: 6.3.0
Hardware: x86_64
OS: Linux
unspecified
high vote
Target Milestone: Unspecified
Assignee: Chris Roberts
QA Contact: Sachin Ghai
URL: http://projects.theforeman.org/issues...
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-11-15 20:49 UTC by Chris Roberts
Modified: 2019-04-01 20:27 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-02-21 16:54:37 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Foreman Issue Tracker 21708 None None None 2017-11-20 16:40:05 UTC

Description Chris Roberts 2017-11-15 20:49:51 UTC
Description of problem:
if there is an update to the modssl/httpd package and you upgrade to 6.3 and ssl.conf is not present the upgrade will fail with httpd not being able to start.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. install satellite 6.2
2. rm -rf ssl.conf file in http conf dir
3. upgrade to 6.3 with an upgrade to httpd/modssl
4. run upgrade

Actual results:

httpd wont start since dual listen 443 in ssl.conf and ports.conf

Expected results:

upgrade to go through

Additional info:

Comment 3 Sachin Ghai 2017-12-13 10:19:34 UTC
To test the fix, performed upgrade from 6.2.z to satellite 6.3 snap28 using a customer db.

since httpd and mod_ssl needs to be updated along with upgrade, so I just downgraded both rpms before upgrade and removed the ssl.conf from /etc/httpd/conf.d directory and ran upgrade w/ 6.3 snap28 build. Upgrade was completed successfully.

Comment 6 pm-sat@redhat.com 2018-02-21 16:54:37 UTC
Since the problem described in this bug report should be resolved in a recent advisory, it has been closed with a resolution of ERRATA.
> > 
> > For information on the advisory, and where to find the updated files, follow the link below.
> > 
> > If the solution does not work for you, open a new bug report.
> > 
> > https://access.redhat.com/errata/RHSA-2018:0336


Note You need to log in before you can comment on or make changes to this bug.